#include "ball.h"

Ball::Ball(QWidget * parent, Qt::WFlags f) : QWidget(parent, f)
{
    radius = 10;
    speed = 1;
}

void Ball::setPos(QPoint point)
{
    pos = point;
    update();
}

void Ball::setRadius(int r)
{
    radius = r;
    update();
}

void Ball::setVect(QPoint v)
{
    vect = v;
}

void Ball::paintEvent(QPaintEvent * event)
{
    QPainter painter(this);        

    painter.drawEllipse(this->pos, radius, radius);
}

void Ball::setSpeed(int newspeed)
{
    speed = newspeed;
}

void Ball::move(void)
{
    int w, h;
    w = geometry().width() - 1;
    h = geometry().height() - 1;    
    pos += vect * speed;
    /* Kolizje ze scianami */
    if (pos.x() > w - radius)
    {
        pos.setX(w - radius);
        vect.setX(-vect.x());
    }
    else if (pos.x() < radius)
    {
        pos.setX(radius);
        vect.setX(-vect.x());
    }

    if (pos.y() > h - radius)
    {
        pos.setY(h - radius);
        vect.setY(-vect.y());
    }
    else if (pos.y() < radius)
    {
        pos.setY(radius);
        vect.setY(-vect.y());
    }
    update();
}
