#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    m_ui(new Ui::MainWindow)
{
    m_ui->setupUi(this);
    ball = new Ball(m_ui->frame);
    ball->setObjectName(QString::fromUtf8("ball"));
    m_ui->gridLayout_2->addWidget(ball, 0, 0, 1, 1);

    timer = new QTimer(this);
    timer->setInterval(15);
    timer->setSingleShot(false);
    connect(timer, SIGNAL(timeout()), ball, SLOT(move()));
    connect(m_ui->horizontalSlider_2, SIGNAL(valueChanged(int)), this, SLOT(speedChange(int)));
    connect(m_ui->bntStop, SIGNAL(clicked()), this, SLOT(stop()));
    connect(m_ui->bntStart, SIGNAL(clicked()), this, SLOT(start()));    
    m_ui->bntStop->setEnabled(false);
    speedChange(1);
    ball->setVect(QPoint(1, -1));
    ball->setRadius(10);
    ball->setPos(QPoint(width() / 2, height() / 2));
}

MainWindow::~MainWindow()
{
    delete timer;
    delete ball;
    delete m_ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::speedChange(int speed)
{
    m_ui->lSpeed->setText(QString("%1/10").arg(speed));
    ball->setSpeed(speed);
}

void MainWindow::start()
{
 m_ui->bntStart->setEnabled(false);
 timer->start();
 m_ui->bntStop->setEnabled(true);
}

void MainWindow::stop()
{
 m_ui->bntStop->setEnabled(false);
 timer->stop();
 m_ui->bntStart->setEnabled(true);
}
